import { TextReplacements } from '../Text/Text';
export type SnackbarType = 'success' | 'danger' | 'info' | 'warning';
export type SnackBarMessage = string | {
    text: string;
    replacements?: TextReplacements;
};
export type SnackBarServiceProps = {
    type: SnackbarType;
    title: string;
    message: string;
    onClose?: () => void;
};
/**
 * SnackBar Service Class
 * ---------------------------------------------------------------------------------------------------------------------
 */
declare class SnackBarServiceClass {
    /**
     * Close
     */
    closeEv(id: string): void;
    /**
     * Open
     */
    open({ type, title, message, onClose }: SnackBarServiceProps): string;
    /**
     * Open Success
     */
    openWarningSnackbar(message: SnackBarMessage, onClose?: () => void): void;
    /**
     * Open Success
     */
    openSuccessSnackbar(message: SnackBarMessage, onClose?: () => void): void;
    /**
     * Open Error
     */
    openErrorSnackbar(message: SnackBarMessage, onClose?: () => void): void;
    /**
     * On
     */
    on(event: any, callback: (details: any) => any): void;
    /**
     * Parse message
     */
    parseMessage(message: SnackBarMessage): string;
}
export declare const snackbarService: SnackBarServiceClass;
export {};
